#
# Conditional build:
%bcond_without	alsa	# ALSA support (in addition to Pulseaudio)

%define		glib_ver	1:2.37.3
%define		gtk_ver		3.3.16

Summary:	The cinnamon-desktop libraries (and common settings schemas for the cinnamon desktop)
Summary(pl.UTF-8):	Biblioteki cinnamon-desktop (i wspólne schematy ustawień dla środowiska cinnamon)
Name:		cinnamon-desktop
Version:	6.0.0
Release:	1
License:	GPL v2+ (libcvc), LGPL v2.1+ (libcinnamon-desktop)
Group:		X11/Applications
#Source0Download: https://github.com/linuxmint/cinnamon-desktop/tags
Source0:	https://github.com/linuxmint/cinnamon-desktop/archive/%{version}/%{name}-%{version}.tar.gz
# Source0-md5:	265b69d5f57e9600c673c6be79ec20e0
Patch0:		set_font_defaults.patch
Patch1:		%{name}-theme-paths.patch
URL:		https://github.com/linuxmint/cinnamon
%{?with_alsa:BuildRequires:	alsa-lib-devel}
BuildRequires:	gdk-pixbuf2-devel >= 2.22.0
BuildRequires:	gettext-tools
BuildRequires:	glib2-devel >= %{glib_ver}
BuildRequires:	gobject-introspection-devel >= 0.9.7
BuildRequires:	gtk+3-devel >= %{gtk_ver}
BuildRequires:	meson >= 0.56.0
BuildRequires:	ninja >= 1.5
BuildRequires:	pkgconfig >= 1:0.14.0
BuildRequires:	pulseaudio-devel
BuildRequires:	rpm-pythonprov
BuildRequires:	rpmbuild(macros) >= 1.736
BuildRequires:	xkeyboard-config
BuildRequires:	xorg-lib-libX11-devel
BuildRequires:	xorg-lib-libXext-devel >= 1.1
BuildRequires:	xorg-lib-libXrandr-devel >= 1.3
BuildRequires:	xorg-lib-libxkbfile-devel
Requires(post,postun):	glib2 >= %{glib_ver}
Requires:	%{name}-libs = %{version}-%{release}
Requires:	applnk
Requires:	gnome-backgrounds >= 3
Requires:	hwdata
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
The libcinnamon-desktop library provides API shared by several
applications on the desktop.

The libcvc library is a utility library for volume control.

%description -l pl.UTF-8
Biblioteka libcinnamon-desktop udostępnia API współdzielone przez
kilka aplikacji środowiska.

Biblioteka libcvc to biblioteka narzędziowa do sterowania głośnością.

%package libs
Summary:	Shared cinnamon-desktop libraries
Summary(pl.UTF-8):	Biblioteki współdzielone cinnamon-desktop
Group:		Libraries
Requires:	gdk-pixbuf2 >= 2.22.0
Requires:	glib2 >= %{glib_ver}
Requires:	gtk+3 >= %{gtk_ver}
Requires:	xorg-lib-libXext >= 1.1
Requires:	xorg-lib-libXrandr >= 1.3
Conflicts:	cinnamon-desktop < 2.4.2-2

%description libs
The libcinnamon-desktop library provides API shared by several
applications on the desktop.

The libcvc library is a utility library for volume control.

%description libs -l pl.UTF-8
Biblioteka libcinnamon-desktop udostępnia API współdzielone przez
kilka aplikacji środowiska.

Biblioteka libcvc to biblioteka narzędziowa do sterowania głośnością.

%package devel
Summary:	Header files for cinnamon-desktop libraries
Summary(pl.UTF-8):	Pliki nagłówkowe bibliotek cinnamon-desktop
Group:		Development/Libraries
Requires:	%{name}-libs = %{version}-%{release}
Requires:	glib2-devel >= %{glib_ver}
Requires:	gtk+3-devel >= %{gtk_ver}
Requires:	pulseaudio-devel
Requires:	xorg-lib-libxkbfile-devel

%description devel
Header files for cinnamon-desktop libraries.

%description devel -l pl.UTF-8
Pliki nagłówkowe bibliotek cinnamon-desktop.

%prep
%setup -q
%patch0 -p1
%patch1 -p1

%build
%meson build \
	%{?with_alsa:-Dalsa=true} \
	-Dpnp_ids="/lib/hwdata/pnp.ids"

%ninja_build -C build

%install
rm -rf $RPM_BUILD_ROOT

%ninja_install -C build

%find_lang cinnamon-desktop

%clean
rm -rf $RPM_BUILD_ROOT

%postun
if [ $1 -eq 0 ]; then
	%glib_compile_schemas
fi

%posttrans
%glib_compile_schemas

%post	libs -p /sbin/ldconfig
%postun	libs -p /sbin/ldconfig

%files -f cinnamon-desktop.lang
%defattr(644,root,root,755)
%doc AUTHORS MAINTAINERS README debian/changelog
%{_datadir}/glib-2.0/schemas/org.cinnamon.desktop.enums.xml
%{_datadir}/glib-2.0/schemas/org.cinnamon.desktop.*.gschema.xml

%files libs
%defattr(644,root,root,755)
%attr(755,root,root) %{_libdir}/libcinnamon-desktop.so.*.*.*
%attr(755,root,root) %ghost %{_libdir}/libcinnamon-desktop.so.4
%attr(755,root,root) %{_libdir}/libcvc.so.*.*.*
%attr(755,root,root) %ghost %{_libdir}/libcvc.so.0
%{_libdir}/girepository-1.0/CDesktopEnums-3.0.typelib
%{_libdir}/girepository-1.0/CinnamonDesktop-3.0.typelib
%{_libdir}/girepository-1.0/Cvc-1.0.typelib

%files devel
%defattr(644,root,root,755)
%attr(755,root,root) %{_libdir}/libcinnamon-desktop.so
%attr(755,root,root) %{_libdir}/libcvc.so
%{_includedir}/cinnamon-desktop
%{_datadir}/gir-1.0/CDesktopEnums-3.0.gir
%{_datadir}/gir-1.0/CinnamonDesktop-3.0.gir
%{_datadir}/gir-1.0/Cvc-1.0.gir
%{_pkgconfigdir}/cinnamon-desktop.pc
%{_pkgconfigdir}/cvc.pc
%changelog
* Tue Apr 30 2024 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/cinnamon-desktop.git;a=log;h=master

* Tue Apr 30 2024 Jakub Bogusz <qboosh@pld-linux.org> 6faf917
- updated to 6.0.0

* Tue Jun 13 2023 Jakub Bogusz <qboosh@pld-linux.org> 7d8b752
- updated to 5.8.0

* Sun Aug 22 2021 Jakub Bogusz <qboosh@pld-linux.org> dcc5c55
- updated to 5.0.0

* Sun Aug 22 2021 Jakub Bogusz <qboosh@pld-linux.org> 2ddd206
- updated to 4.8.1

* Sun May 17 2020 Jakub Bogusz <qboosh@pld-linux.org> a73df03
- package debian/changelog, the only maintained now

* Fri May 15 2020 Jakub Bogusz <qboosh@pld-linux.org> 5b64224
- updated to 4.6.0

* Wed Apr 22 2020 Jakub Bogusz <qboosh@pld-linux.org> a379a54
- updated to 4.4.1
- added theme-paths patch (update path to adwaita background theme)

* Fri May 24 2019 Jakub Bogusz <qboosh@pld-linux.org> 66f7e49
- macros for meson

* Fri May 24 2019 Jakub Bogusz <qboosh@pld-linux.org> 2f477ff
- updated to 4.0.1; now uses meson

* Sun Jul 30 2017 Jakub Bogusz <qboosh@pld-linux.org> 5c44d3c
- updated to 3.4.2

* Tue Mar 24 2015 Elan Ruusamäe <glen@delfi.ee> c168fce
- split -libs for development

* Tue Mar 24 2015 Elan Ruusamäe <glen@delfi.ee> 33a4824
- update/cleanup BR

* Tue Mar 24 2015 Elan Ruusamäe <glen@delfi.ee> 736f29c
- no system-backgrounds-gnome in pld

* Tue Mar 24 2015 Elan Ruusamäe <glen@delfi.ee> 4b4081a
- add glib dep for scriptlets

* Tue Mar 24 2015 Elan Ruusamäe <glen@delfi.ee> 0e7a4bd
- R hwdata

* Tue Mar 24 2015 Elan Ruusamäe <glen@delfi.ee> 94d52ed
- new, version 2.4.2

